#ifndef WITCH_Y_FO_H
#define WITCH_Y_FO_H

#include <math.h>
#include "Types.h"
//#include "Helpers.h"

template <class NumType_> 
class Witch_y_FO {

public:
    typedef CGAL::Cartesian<NumType_> REP;
    typedef CGAL::Point_2<REP> Point;           
    
    Witch_y_FO(NumType_ a = 10.0) : a_(a){}    

    NumType_ operator() (NumType_ t) const {	
	return (a_*t);
    }

private:    
    NumType_ a_;
};
#endif //WITCH_Y_FO_H
